## org.eclipse.datatools.sqltools.sqlbuilder.views
Class SQLTreeViewer

    java.lang.Object
      org.eclipse.ui.part.Page
          org.eclipse.ui.views.contentoutline.ContentOutlinePage
              org.eclipse.datatools.sqltools.sqlbuilder.views.SQLTreeViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.ui.part.IPage, org.eclipse.ui.part.IPageBookViewPage, org.eclipse.ui.views.contentoutline.IContentOutlinePage

    public class SQLTreeViewer

extends org.eclipse.ui.views.contentoutline.ContentOutlinePage

The Statements tree view

Constructor Summary
`SQLTreeViewer(SQLBuilder sqlBuilder, org.eclipse.jface.viewers.IContentProvider contentProvider, org.eclipse.jface.viewers.ILabelProvider labelProvider, java.lang.Object input)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`void` `disableContentOutline()`
`void` `enableContentOutline()`
`void` `fillContextMenu()` Override this method to fill in the popup context menu for each MOF object
`org.eclipse.jface.viewers.ISelection` `getSelection()` Return the selection.
`boolean` `isDisposed()`
`boolean` `isOnlyRootSelected()`
`void` `refreshTree()`
`void` `resetInput(java.lang.Object resetInput)`
`void` `selectRootElement()`
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection, boolean reveal)`

Methods inherited from class org.eclipse.ui.views.contentoutline.ContentOutlinePage
`addSelectionChangedListener, getControl, init, removeSelectionChangedListener, selectionChanged, setFocus, setSelection`

Methods inherited from class org.eclipse.ui.part.Page
`dispose, getSite, makeContributions, setActionBars`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.part.IPage
`dispose, setActionBars`

Constructor Detail

### SQLTreeViewer

    public SQLTreeViewer(SQLBuilder sqlBuilder,
                         org.eclipse.jface.viewers.IContentProvider contentProvider,
                         org.eclipse.jface.viewers.ILabelProvider labelProvider,
                         java.lang.Object input)

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.ui.part.IPage`
  Overrides:
    `createControl` in class `org.eclipse.ui.views.contentoutline.ContentOutlinePage`

### resetInput

    public void resetInput(java.lang.Object resetInput)

### isDisposed

    public boolean isDisposed()

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection,
                             boolean reveal)

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Return the selection.

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  Overrides:
    `getSelection` in class `org.eclipse.ui.views.contentoutline.ContentOutlinePage`

### fillContextMenu

    public void fillContextMenu()

  Override this method to fill in the popup context menu for each MOF object

### refreshTree

    public void refreshTree()

### selectRootElement

    public void selectRootElement()

### isOnlyRootSelected

    public boolean isOnlyRootSelected()

### disableContentOutline

    public void disableContentOutline()

### enableContentOutline

    public void enableContentOutline()